create procedure sistema.sp_guardarSucursalUsuarioModulo
@numConfiguracion int,
@numAsignacion int,
@numCodsucursal int,
@txtSucursal varchar(300),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numAsignacion = 0
		begin
			insert into sistema.config_sucursalesUsuario(idUsuario,idConfig,codsucursal,nombreSucursal) values(@numUsuario,@numConfiguracion,@numCodsucursal,@txtSucursal);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numAsignacion;
			update sistema.config_sucursalesUsuario set codsucursal = @numCodsucursal,nombreSucursal = @txtSucursal WHERE id = @dbId;
		end

	set @dbRespuesta = 'success';
end